Subject: Re: rxvt cursor corruption under WinXP/ClearType
From: Philip Flip Kromer <[email-masked]>
To: [email-masked]
Date: Fri, 12 Apr 2002 19:57:49 -0500
Newsgroups: gmane.os.cygwin

I have the same problem with rxvt. I did not know about reverting to 
courier as a workaround -- thanks!

Emacs-NT also has this problem (but only occasionally). They claim that it 
is because Windows with cleartype lies about how to compute a bounding box 
for a font but MS will not share the information. File under "yet another 
example of why the DOJ consent degree sucks."

Jason Rumney from the emacs devel seems to have some good information on 
the problem. See, for example,
http://mail.gnu.org/pipermail/help-emacs-windows/2002-April/001355.html
   Jason Rumney  [email-masked] writes:
   No, it doesn't.  Sometimes it draws outside the bounding-box for
   the glyph, which results in a garbaged display when scrolling.  That
   is why sub-pixel anti-aliasing was disabled for 21.2.  If you can find
   any documentation from Microsoft about how to determine the REAL
   bounding box for a glyph AFTER sub-pixel anti-aliasing is applied,
   then please tell me.

or
http://groups.google.com/groups?hl=en&safe=images&selm=m3zo2ugsve.fsf%40nyaumo.btinternet.com
   Jason Rumney ([email-masked]) writes:
   Thanks for the report. Since Microsoft do not seem to be making public
   what changes they had to make to their own products to fix this (early
   betas of Windows XP had reports of the same sorts of display problem
   with all applications, so I assume they have "fixed" it by changing
   an MFC library or something), there is not a lot we can do.

flip

Rui Carmo wrote:
> Hello there,
> 
> I've been searching the mailing-list archives for posts concerning the vertical cursor "trails" bug that rxvt exhibits under Windows XP with ClearType, but have found nothing. 
> 
> Steps to reproduce the bug:
> - Under Windows XP, activate ClearType (Display Properties|Appearance|Effects|Use the following method... ClearType)
> - Start rxvt with the following command line:
>   rxvt.exe -tn xterm -sr -fn "Lucida Console-14" -sl 30000 -e bash --login -i
> - Type some chars and notice the vertical bars the cursor leaves (erase or redraw are off by one pixel)
> 
> This only happens with monospaced fonts other than Courier New or System (Lucida Console, Andale Mono, and practically all other monospaced fonts I tried).
> 
> I am willing to help debug/test this, and have spent a couple of hours trying to recompile
 > rxvt on my box (setting up CVS, etc., and following the steps in
> /usr/doc/Cygwin/rxvt-2.7.2.README), but would like to get in touch with other folk that
> have been working on rxvt to swap tips.
> 
> Since I am not subscribed to the list, please e-mail me directly.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/